# Get document versions

- Operation ID: `documentVersionsGet`
- HTTP method: `GET`
- Path: `/schema-service/document/{uuid}/versions`
- [Human-readable API reference](https://hub.synerise.com/api-reference/asset-management#tag/Documents-(legacy)/operation/documentVersionsGet)

## Self-contained OpenAPI method

The fenced document below contains this method's documentation and all of its local references. It is self-contained; no category or master specification fetch is required.

```yaml
openapi: 3.0.0
info:
  title: Synerise Public API
  version: 1.9.1
paths:
  /schema-service/document/{uuid}/versions:
    get:
      deprecated: true
      tags:
        - Documents (legacy)
      summary: Get document versions
      description: |
        Retrieve all versions of a document. The content is raw.

        ---

        **API consumer:** <a href="/api-reference/authorization?tag=Authorization&amp;operationId=userLogin" target="_blank" rel="noopener">Synerise User</a>

        **User role permission required:** `assets_docs: read`
      operationId: documentVersionsGet
      security:
        - JWT: []
      parameters:
        - in: path
          name: uuid
          description: Document UUID. The UUID is the same for all versions of a document.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: List of document versions
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    author:
                      type: integer
                      description: ID of the user who created this version of the document
                    content:
                      type: object
                      description: JSON content of the document
                    createdAt:
                      type: string
                      description: Creation date
                      format: date-time
                    description:
                      type: string
                      description: Document description. Can be an empty string.
                    id:
                      type: integer
                      description: Document ID. Generated automatically.
                    isActive:
                      type: boolean
                      description: Informs if the document is isActive
                      default: true
                    name:
                      type: string
                      description: Document name
                    published:
                      type: boolean
                      description: Publishing status
                      default: false
                    schema:
                      type: string
                      description: Schema of the document (called "Type" in the Synerise Web Application)
                      example: containers
                    slug:
                      type: string
                      description: Slug of the document
                      example: basket
                      pattern: "[a-z0-9]+(?:-[a-z0-9]+)*"
                    uuid:
                      type: string
                      format: uuid
                      description: Document UUID. Generated automatically.
                    version:
                      type: string
                      description: Document version
      x-snr-doc-urls:
        - /api-reference/asset-management#tag/Documents-(legacy)/operation/documentVersionsGet
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl --request GET \
              --url https://api.synerise.com/schema-service/document/%7Buuid%7D/versions \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: Python
          label: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("api.synerise.com")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/schema-service/document/%7Buuid%7D/versions", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
        - lang: JavaScript
          label: JavaScript
          source: |-
            const data = null;

            const xhr = new XMLHttpRequest();
            xhr.withCredentials = true;

            xhr.addEventListener("readystatechange", function () {
              if (this.readyState === this.DONE) {
                console.log(this.responseText);
              }
            });

            xhr.open("GET", "https://api.synerise.com/schema-service/document/%7Buuid%7D/versions");
            xhr.setRequestHeader("Authorization", "Bearer REPLACE_BEARER_TOKEN");

            xhr.send(data);
        - lang: Node.js
          label: Node.js
          source: |-
            const http = require("https");

            const options = {
              "method": "GET",
              "hostname": "api.synerise.com",
              "port": null,
              "path": "/schema-service/document/%7Buuid%7D/versions",
              "headers": {
                "Authorization": "Bearer REPLACE_BEARER_TOKEN"
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on("data", function (chunk) {
                chunks.push(chunk);
              });

              res.on("end", function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: PHP
          label: PHP
          source: |-
            <?php

            $request = new HttpRequest();
            $request->setUrl('https://api.synerise.com/schema-service/document/%7Buuid%7D/versions');
            $request->setMethod(HTTP_METH_GET);

            $request->setHeaders([
              'Authorization' => 'Bearer REPLACE_BEARER_TOKEN'
            ]);

            try {
              $response = $request->send();

              echo $response->getBody();
            } catch (HttpException $ex) {
              echo $ex;
            }
        - lang: Java
          label: Java
          source: |-
            HttpResponse<String> response = Unirest.get("https://api.synerise.com/schema-service/document/%7Buuid%7D/versions")
              .header("Authorization", "Bearer REPLACE_BEARER_TOKEN")
              .asString();
servers:
  - description: Microsoft Azure EU
    url: https://api.synerise.com
  - description: Microsoft Azure USA
    url: https://api.azu.synerise.com
  - description: Google Cloud Platform
    url: https://api.geb.synerise.com
tags:
  - name: Documents (legacy)
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      description: |-
        JWT Bearer token. The header looks like this: `Bearer {JWT}`

        Remember to include the space between 'Bearer' and the token.

        Generate a token via the **Authorization** endpoints.
```
